## qemu 0.14.0+dfsg

=== debian/changelog ===
qemu (0.14.0+dfsg-2) unstable; urgency=low

  [ Aurelien Jarno ]
  * Tighten dependencies on openbios-ppc, openbios-sparc and seabios to
    the versions in upstream 0.14.0.
  * patches/02_kfreebsd.patch: don't consider futimens/utimensat available
    if it is a stub.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 20 Feb 2011 00:36:20 +0100

qemu (0.14.0+dfsg-1) unstable; urgency=low

  [ Vagrant Cascadian ]
  * New upstream release candidate version.
  * qemu-user-static: 
    - Drop binfmt support for emulating amd64 on i386, as it is broken and
      including it interferes with environments capable of running amd64
      natively.  Closes: #604712.
    - Remove binfmt support for installed targets in postinst before installing
      supported targets, to ensure no-longer-supported targets are actually
      removed.
    - Remove binfmt support for installed targets in prerm.

  [ Aurelien Jarno ]
  * Fix configuration files directory.  Closes: #600735.
  * Enable AIO support.

  [ Vagrant Cascadian ]
  * Update debian/copyright to refer to upstream git repositry and clarify
    which binary blobs are removed to make the dfsg-free tarball.
  * Refresh debian/patches/security/leftover.patch. 

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 18 Feb 2011 21:07:01 -0800

qemu (0.13.0+dfsg-2) experimental; urgency=low

  * Fix Build-Depends to exclude kfreebsd-any wildcards where appropriate.
    Thanks to Jon Severinsson. Closes: #592215

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 24 Oct 2010 09:02:27 -0700

qemu (0.13.0+dfsg-1) experimental; urgency=low

  [ Aurelien Jarno ]
  * mips/mipsel binfmt registration: also match EI_ABIVERSION=1, used by
    OpenWRT. Closes: #591543.
  * Build-depends on libattr1-dev to enable VirtFS (9p) support. Closes:
    #592215.
  * Use architecture wildcards instead of explicit architecture list.

  [ Vagrant Cascadian ]
  * Switch to source format 3.0 (quilt).
  * New upstream version. 
  * Drop 99_stable.diff, applied in new upstream version.
  * debian/watch: update to properly handle upstream rc versions.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 18 Oct 2010 10:22:44 -0700

qemu (0.13.0~rc0+dfsg-2) experimental; urgency=low

  [ Aurelien Jarno ]
  * Add ia64 to the list of supported architectures.
  * Bump Standards-Version to 3.9.1 (no changes).
  * Update seabios, openbios-ppc and openbios-sparc dependencies.
  * Add 99_stable.diff to update from the stable-0.13 branch:
    - Fix sparc FTBFS. Closes: #591249.
  * Add qemu-debootstrap from Loïc Minier in qemu-static. Closes:
    #572952.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 03 Aug 2010 07:25:06 +0200

qemu (0.13.0~rc0+dfsg-1) experimental; urgency=low

  * New upstream release candidate version.
  * Do not configure audio drivers for qemu-user and qemu-user-static targets. 
  * Remove patches:
    - 05_bochs_vbe, applied upstream.
    - 06_sh4, applied upstream.
    - 03_support_pselect_in_linux_user_arm, upstream implemented a simpler
      workaround.
  * Add Build-Depends on texinfo. 
  * Drop libqemu-dev package. 

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 29 Jul 2010 19:51:01 -0400

qemu (0.12.5+dfsg-3) unstable; urgency=medium

  * qemu-user-static: 
    - Drop binfmt support for emulating amd64 on i386, as it is broken and
      including it interferes with environments capable of running amd64
      natively.  Closes: #604712.
    - Remove binfmt support for installed targets in postinst before installing
      supported targets, to ensure no-longer-supported targets are actually
      removed.
    - Remove binfmt support for installed targets in prerm.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 28 Nov 2010 15:57:11 -0800

qemu (0.12.5+dfsg-2) unstable; urgency=low

  * mips/mipsel binfmt registration: also match EI_ABIVERSION=1, used by
    OpenWRT. Closes: #591543.
  * Update 99_stable.diff from the stable branch:
    - Fix windows XP boot with libvirt. Closes: bug#579166.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 17 Aug 2010 12:56:30 +0200

qemu (0.12.5+dfsg-1) unstable; urgency=low

  * New upstream stable version.
  * qemu-system: don't suggests kqemu-source.  Closes: bug#589217.
  * qemu-keymaps: fix short description.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 23 Jul 2010 19:02:14 +0200

qemu (0.12.4+dfsg-4) unstable; urgency=high

  * Update debian/copyright.  Closes: bug#588911.
  * Update 99_stable.diff from the stable branch:
    - Add documentation for the stdio signal option. Closes: bug#588514.
  * Split out keymaps in the qemu-keymaps package.  Closes: bug#559174.
  * Bump Standards-Version to 3.9.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 14 Jul 2010 15:13:04 +0200

qemu (0.12.4+dfsg-3) unstable; urgency=low

  * Update 99_stable.diff from the stable branch. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 16 Jun 2010 23:07:36 +0200

qemu (0.12.4+dfsg-2) unstable; urgency=low

  [ Vagrant Cascadian ]
  * qemu-system: Depend on etherboot-qemu package for PXE roms.
    Closes: #552406.

  [ Aurelien Jarno ]
  * Add 99_stable.diff to update from the stable branch.
  * Use --with-pkgversion to set the packaging version.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 02 Jun 2010 21:24:26 +0200

qemu (0.12.4+dfsg-1) unstable; urgency=low

  * New upstream stable version:
    - remove debian/patches/01_redir_doc.patch
    - remove debian/patches/04_cmd646.patch
    - update debian/patches/06_sh4.diff

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 07 May 2010 19:43:48 +0200

qemu (0.12.3+dfsg-4) unstable; urgency=low

  * Add 05_bochs_vbe.diff backported from uptream to support vgabios
    0.6c.
  * Add 06_sh4.diff containing a few SH4 specific fixes backported from
    upstream.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 09 Apr 2010 01:44:38 +0200

qemu (0.12.3+dfsg-3) unstable; urgency=low

  * Add symlink for seabios's multiboot.bin.
  * Change configure-stamp depends to non-phony target $(QUILT_STAMPFN).


=== debian/control ===
Source: qemu
Section: misc
Priority: optional
Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Riku Voipio <riku.voipio@iki.fi>, Vagrant Cascadian <vagrant@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5), nasm, device-tree-compiler,
 libx11-dev, libsdl1.2-dev (>> 1.2.1), libncurses5-dev, zlib1g-dev,
 texi2html, sharutils, libesd0-dev, libbrlapi-dev,
 libpulse-dev, libcurl4-gnutls-dev, libgnutls-dev, libsasl2-dev, uuid-dev,
 libvdeplug2-dev [!kfreebsd-any], libasound2-dev [!kfreebsd-any],
 libbluetooth-dev [!kfreebsd-any], libattr1-dev,
 libgpmg1-dev [linux-any], linux-libc-dev (>= 2.6.30) [linux-any],
 libaio-dev [linux-any], texinfo
Build-Conflicts: oss4-dev
Standards-Version: 3.9.1
Homepage: http://www.qemu.org/
Vcs-Browser: http://git.debian.org/?p=pkg-qemu/qemu.git
Vcs-Git: git://git.debian.org/git/pkg-qemu/qemu.git

Package: qemu
Architecture: amd64 arm armel hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
Depends: ${misc:Depends}, qemu-system (>= ${source:Version}), qemu-user (>= ${source:Version}) [linux-any], qemu-utils (>= ${source:Version})
Suggests: qemu-user-static [linux-any]
Description: fast processor emulator
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs. QEMU has
 two operating modes:
 .
  * User mode emulation: QEMU can launch Linux processes compiled for
    one CPU on another CPU.
  * Full system emulation: QEMU emulates a full system, including a
    processor and various peripherals. It enables easier testing and
    debugging of system code. It can also be used to provide virtual
    hosting of several virtual machines on a single server.
 .
 As QEMU requires no host kernel patches to run, it is very safe and
 easy to use.
 .
 This package is a metapackage depending on all qemu-related packages.

Package: qemu-keymaps
Architecture: all
Depends: ${misc:Depends}
Breaks: qemu (<< 0.11.0-2), qemu-system (<< 0.12.4+dfsg-4)
Replaces: qemu (<< 0.11.0-2), qemu-system (<< 0.12.4+dfsg-4)
Description: QEMU keyboard maps
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides keyboard maps to be used by the qemu-system
 package or QEMU derivatives.

Package: qemu-system
Architecture: amd64 arm armel hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-keymaps (>= ${source:Version}), vgabios (>= 0.6c-1), seabios (>= 0.6.1.2-1), openbios-ppc (>= 1.0+svn1018), openbios-sparc (>= 1.0+svn1018), openhackware, etherboot-qemu
Recommends: vde2, qemu-utils
Breaks: qemu (<< 0.11.0-2)
Replaces: qemu (<< 0.11.0-2)
Suggests: samba
Description: QEMU full system emulation binaries
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides the full system emulation binaries. In this mode
 QEMU emulates a full system, including a processor and various
 peripherals. It enables easier testing and debugging of system code.
 It can also be used to provide virtual hosting of several virtual
 machines on a single server.

Package: qemu-user
Architecture: amd64 arm armel hppa i386 ia64 mips mipsel powerpc sparc sparc64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: qemu (<< 0.11.0-2)
Replaces: qemu (<< 0.11.0-2)
Suggests: sudo
Description: QEMU user mode emulation binaries
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides the user mode emulation binaries. In this mode
 QEMU can launch Linux processes compiled for one CPU on another CPU.

Package: qemu-user-static
Architecture: amd64 arm armel hppa i386 ia64 mips mipsel powerpc sparc sparc64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: binfmt-support
Suggests: sudo
Description: QEMU user mode emulation binaries (static version)
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides the user mode emulation binaries, built
 statically. In this mode QEMU can launch Linux processes compiled for
 one CPU on another CPU.

Package: qemu-utils
Architecture: amd64 arm armel hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: debootstrap
Conflicts: kvm (= 85+dfsg-4.1)
Breaks: qemu (<< 0.11.0-2), qemu-user (<< 0.11.1-2)
Replaces: qemu (<< 0.11.0-2), qemu-user (<< 0.11.1-2)
Description: QEMU utilities
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides QEMU related utilities:
  * qemu-img: QEMU disk image utility
  * qemu-io:  QEMU disk exerciser
  * qemu-nbd: QEMU disk network block device server

=== debian/rules ===
#!/usr/bin/make -f
#
# $Id: rules 391 2009-03-07 05:21:19Z aurel32 $
#

# Packaging version
DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')

# Compiler flags
LDFLAGS = -Wl,--as-needed
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS = -O0
endif

# Support multiple makes at once
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

# Architecture/system specific configuration
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH_CPU = $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

ifeq ($(DEB_HOST_ARCH_OS),linux)
       conf_audio_drv += --audio-drv-list=alsa,oss,sdl,esd,pa
endif
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
       conf_audio_drv += --audio-drv-list=oss,sdl,esd,pa
endif
# KVM on PowerPC needs at least 2.6.33 kernel headers
ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
       conf_arch += --disable-kvm
endif

# binfmt support
ALL_BINFMT_TARGETS=alpha arm armeb cris i386 m68k microblaze mips mipsel ppc ppc64 ppc64abi32 sh4 sh4eb sparc sparc32plus sparc64 x86_64
ifeq ($(DEB_HOST_ARCH),amd64)
BINFMT_TARGETS=$(filter-out i386 x86_64, $(ALL_BINFMT_TARGETS))
endif
ifneq (,$(findstring $(DEB_HOST_ARCH), arm armel))
BINFMT_TARGETS=$(filter-out arm, $(ALL_BINFMT_TARGETS))
endif
ifeq ($(DEB_HOST_ARCH),i386)
# Drop support for emulating amd64 on i386, as it is broken and including it
# interferes with environments capable of running amd64 natively.
# http://bugs.debian.org/604712
BINFMT_TARGETS=$(filter-out i386 x86_64, $(ALL_BINFMT_TARGETS))
endif
ifeq ($(DEB_HOST_ARCH),powerpc)
BINFMT_TARGETS=$(filter-out ppc, $(ALL_BINFMT_TARGETS))
endif
ifeq ($(DEB_HOST_ARCH),ppc64)
BINFMT_TARGETS=$(filter-out ppc ppc64 ppc64abi32 , $(ALL_BINFMT_TARGETS))
endif
ifeq ($(DEB_HOST_ARCH),sparc)
BINFMT_TARGETS=$(filter-out sparc sparc32plus sparc64, $(ALL_BINFMT_TARGETS))
endif
ifeq ($(DEB_HOST_ARCH),sparc64)
BINFMT_TARGETS=$(filter-out sparc sparc32plus sparc64, $(ALL_BINFMT_TARGETS))
endif
ifeq ($(BINFMT_TARGETS),)
BINFMT_TARGETS=$(ALL_BINFMT_TARGETS)
endif

configure-stamp: configure
	dh_testdir

	# system build
	mkdir -p $(CURDIR)/system-build
	cd $(CURDIR)/system-build && \
		../configure \
			--with-pkgversion="Debian $(DEB_VERSION)" \
			--extra-cflags="$(CFLAGS)" \
			--extra-ldflags="$(LDFLAGS)" \
			--prefix=/usr \
			--sysconfdir=/etc \
			--disable-blobs \
			--disable-strip \
			--disable-linux-user \
			--disable-bsd-user \
			--disable-darwin-user \
			$(conf_arch) $(conf_audio_drv)

ifeq ($(DEB_HOST_ARCH_OS),linux)
	# user build
	mkdir -p $(CURDIR)/user-build
	cd $(CURDIR)/user-build && \
		../configure \
			--with-pkgversion="Debian $(DEB_VERSION)" \
			--extra-cflags="$(CFLAGS)" \
			--extra-ldflags="$(LDFLAGS)" \
			--prefix=/usr \
			--sysconfdir=/etc \
			--interp-prefix=/etc/qemu-binfmt/%M \
			--disable-blobs \
			--disable-strip \
			--disable-system \
			$(conf_arch)

	# static user build
	mkdir -p $(CURDIR)/user-static-build
	cd $(CURDIR)/user-static-build && \
		../configure \
			--with-pkgversion="Debian $(DEB_VERSION)" \
			--extra-cflags="$(CFLAGS)" \
			--extra-ldflags="$(LDFLAGS)" \
			--prefix=/usr \
			--sysconfdir=/etc \
			--interp-prefix=/etc/qemu-binfmt/%M \
			--disable-blobs \
			--disable-strip \
			--disable-system \
			--static \
			$(conf_arch)
endif
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	
	# system build
	$(MAKE) -C $(CURDIR)/system-build $(NJOBS)

ifeq ($(DEB_HOST_ARCH_OS),linux)
	# user build
	$(MAKE) -C $(CURDIR)/user-build $(NJOBS)

	# static user build
	$(MAKE) -C $(CURDIR)/user-static-build $(NJOBS)
endif
	touch $@

clean:
	dh_testdir
	dh_testroot
	
	rm -rf $(CURDIR)/*-build
	rm -f $(CURDIR)/*-stamp
	
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a
	
	# system build
	$(MAKE) -C $(CURDIR)/system-build DESTDIR=$(CURDIR)/debian/tmp install

	mv $(CURDIR)/debian/tmp/usr/bin/qemu $(CURDIR)/debian/tmp/usr/bin/qemu-system-i386

	for i in bamboo mpc8544ds ; do \
		dtc -o $(CURDIR)/debian/tmp/usr/share/qemu/$$i.dtb pc-bios/$$i.dts ; \
	done

ifeq ($(DEB_HOST_ARCH_OS),linux)
	# user build
	$(MAKE) -C $(CURDIR)/user-build DESTDIR=$(CURDIR)/debian/tmp install

	# static user build
	for target in $(CURDIR)/user-static-build/*-*-user/qemu-* ; do \
		install -m 755 $$target $(CURDIR)/debian/tmp/usr/bin/$$(basename $$target)-static ; \
	done

	# binfmt support
	sed -i -e 's/^BINFMT_TARGETS=.*/BINFMT_TARGETS=\"$(ALL_BINFMT_TARGETS)\"/g' \
		$(CURDIR)/debian/qemu-user-static.prerm \
		$(CURDIR)/debian/qemu-user-static.postinst

	for target in $(BINFMT_TARGETS) ; do \
		install -m 644 $(CURDIR)/debian/binfmts/qemu-$$target \
			$(CURDIR)/debian/qemu-user-static/usr/share/binfmts ; \
	done
endif

	# Install files in the various packages
	dh_install -s --list-missing

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install -i
	dh_installdocs -i
	dh_installman -i
	dh_installchangelogs -i Changelog
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install -a
	dh_installdocs -a
	dh_installman -a
	dh_installudev -a
	dh_installchangelogs -a Changelog
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	chmod a+x $(CURDIR)/debian/qemu-system/etc/qemu-ifup
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## qemu 0.14.1+dfsg

=== debian/changelog ===
qemu (0.14.1+dfsg-3) unstable; urgency=low

  [ Aurelien Jarno ]
  * Add patches/qemu-ifunc-ppc.patch and patches/qemu-ifunc-sparc.patch
    to fix FTBFS on ppc and sparc.

  [ Vagrant Cascadian ]
  * Apply patch to fix qemu-user-static mipsel emulation (Closes: #562887).
  * Drop support for esd (Closes: #633390). Thanks to Adrian Bunk.
  * Add dummy debian/rules build-indep/build-arch targets to resolve lintian 
    warnings and future policy requirements.
  * Remove needless mention of "Author(s)" which triggers a lintian warning.
  * Fix maintainer-script-without-set-e lintian checks.
  * Fix hyphen-used-as-minus-sign lintian check for qemu-debootstrap manpage.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 23 Jul 2011 10:18:37 +0200

qemu (0.14.1+dfsg-2) unstable; urgency=low

  * Add override for qemu-user-static binaries which embed needed libraries.
  * Add qemu-debootstrap manpage.
  * Add patch to fix typo in qemu-system-* (runnning -> running).
  * Update to Standards-Version 3.9.2, no changes necessary.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 02 Jul 2011 22:29:17 -0700

qemu (0.14.1+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Depend on ipxe instead of etherboot-qemu.
  * Add pcnet-ipxe.patch from upstream to fix ipxe with pcnet nic.
  * Add symlink for network boot with eepro100 cards (i82551, i82557b, 
    i82559er).
  * Drop 01_rdb.patch, applied upstream. 
  * Add support for building on armhf architecture.
  * Support debootstrap options that require arguments in qemu-debootstrap.
    Thanks to Stefano Rivera for the patch. Closes: #605660.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 01 Jul 2011 22:49:40 -0700

qemu (0.14.0+dfsg-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace "librados1-dev" by "librados-dev" in Build-Dependencies.

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 29 Apr 2011 17:45:05 +0200

qemu (0.14.0+dfsg-5) unstable; urgency=low

  * Don't register qemu-mips(el) with binfmt on mips(el).  Closes:
    #618369.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 17 Mar 2011 20:13:27 +0100

qemu (0.14.0+dfsg-4) unstable; urgency=low

  * Reupload without automatically generated patch
    debian-changes-0.14.0+dfsg-3.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 28 Feb 2011 15:10:04 +0100

qemu (0.14.0+dfsg-3) unstable; urgency=low

  [ Aurelien Jarno ]
  * Depends on vgabios (>= 0.6c-3) and add symlinks for qxl, stdvga and
    vmware bioses.  Closes: #614252, #614169.
  * Tighten build-depends on linux-libc-dev to (>= 2.6.34), to get
    vhost-net support.
  * Build-depends on xfslibs-dev in order to get TRIM support on XFS
    filesystems.
  * Build-depends on librados1-dev to get rdb support.  Closes: #614150.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 28 Feb 2011 09:06:00 +0100

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,20 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 5), nasm, device-tree-compiler,
  libx11-dev, libsdl1.2-dev (>> 1.2.1), libncurses5-dev, zlib1g-dev,
- texi2html, sharutils, libesd0-dev, libbrlapi-dev,
+ texi2html, sharutils, libbrlapi-dev,
  libpulse-dev, libcurl4-gnutls-dev, libgnutls-dev, libsasl2-dev, uuid-dev,
- libvdeplug2-dev [!kfreebsd-any], libasound2-dev [!kfreebsd-any],
- libbluetooth-dev [!kfreebsd-any], libattr1-dev,
- libgpmg1-dev [linux-any], linux-libc-dev (>= 2.6.30) [linux-any],
- libaio-dev [linux-any], texinfo
+ libvdeplug2-dev [linux-any], libasound2-dev [linux-any],
+ libbluetooth-dev [linux-any], libattr1-dev, librados-dev [amd64 i386],
+ libgpmg1-dev [linux-any], linux-libc-dev (>= 2.6.34) [linux-any],
+ libaio-dev [linux-any], xfslibs-dev [linux-any], texinfo
 Build-Conflicts: oss4-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.qemu.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-qemu/qemu.git
 Vcs-Git: git://git.debian.org/git/pkg-qemu/qemu.git
 
 Package: qemu
-Architecture: amd64 arm armel hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
+Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
 Depends: ${misc:Depends}, qemu-system (>= ${source:Version}), qemu-user (>= ${source:Version}) [linux-any], qemu-utils (>= ${source:Version})
 Suggests: qemu-user-static [linux-any]
 Description: fast processor emulator
@@ -56,8 +56,8 @@
  package or QEMU derivatives.
 
 Package: qemu-system
-Architecture: amd64 arm armel hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
-Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-keymaps (>= ${source:Version}), vgabios (>= 0.6c-1), seabios (>= 0.6.1.2-1), openbios-ppc (>= 1.0+svn1018), openbios-sparc (>= 1.0+svn1018), openhackware, etherboot-qemu
+Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
+Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-keymaps (>= ${source:Version}), vgabios (>= 0.6c-3), seabios (>= 0.6.1.2-1), openbios-ppc (>= 1.0+svn1018), openbios-sparc (>= 1.0+svn1018), openhackware, ipxe
 Recommends: vde2, qemu-utils
 Breaks: qemu (<< 0.11.0-2)
 Replaces: qemu (<< 0.11.0-2)
@@ -75,7 +75,7 @@
  machines on a single server.
 
 Package: qemu-user
-Architecture: amd64 arm armel hppa i386 ia64 mips mipsel powerpc sparc sparc64 ppc64
+Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 ppc64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: qemu (<< 0.11.0-2)
 Replaces: qemu (<< 0.11.0-2)
@@ -90,7 +90,7 @@
  QEMU can launch Linux processes compiled for one CPU on another CPU.
 
 Package: qemu-user-static
-Architecture: amd64 arm armel hppa i386 ia64 mips mipsel powerpc sparc sparc64 ppc64
+Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 ppc64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: binfmt-support
 Suggests: sudo
@@ -105,7 +105,7 @@
  one CPU on another CPU.
 
 Package: qemu-utils
-Architecture: amd64 arm armel hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
+Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: debootstrap
 Conflicts: kvm (= 85+dfsg-4.1)

=== debian/rules ===
--- 
+++ 
@@ -23,14 +23,10 @@
 DEB_HOST_ARCH_CPU = $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-       conf_audio_drv += --audio-drv-list=alsa,oss,sdl,esd,pa
+       conf_audio_drv += --audio-drv-list=alsa,oss,sdl,pa
 endif
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
-       conf_audio_drv += --audio-drv-list=oss,sdl,esd,pa
-endif
-# KVM on PowerPC needs at least 2.6.33 kernel headers
-ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
-       conf_arch += --disable-kvm
+       conf_audio_drv += --audio-drv-list=oss,sdl,pa
 endif
 
 # binfmt support
@@ -38,7 +34,7 @@
 ifeq ($(DEB_HOST_ARCH),amd64)
 BINFMT_TARGETS=$(filter-out i386 x86_64, $(ALL_BINFMT_TARGETS))
 endif
-ifneq (,$(findstring $(DEB_HOST_ARCH), arm armel))
+ifneq (,$(findstring $(DEB_HOST_ARCH), arm armel armhf))
 BINFMT_TARGETS=$(filter-out arm, $(ALL_BINFMT_TARGETS))
 endif
 ifeq ($(DEB_HOST_ARCH),i386)
@@ -46,6 +42,12 @@
 # interferes with environments capable of running amd64 natively.
 # http://bugs.debian.org/604712
 BINFMT_TARGETS=$(filter-out i386 x86_64, $(ALL_BINFMT_TARGETS))
+endif
+ifeq ($(DEB_HOST_ARCH),mips)
+BINFMT_TARGETS=$(filter-out mips, $(ALL_BINFMT_TARGETS))
+endif
+ifeq ($(DEB_HOST_ARCH),mipsel)
+BINFMT_TARGETS=$(filter-out mipsel, $(ALL_BINFMT_TARGETS))
 endif
 ifeq ($(DEB_HOST_ARCH),powerpc)
 BINFMT_TARGETS=$(filter-out ppc, $(ALL_BINFMT_TARGETS))
@@ -116,7 +118,9 @@
 endif
 	touch $@
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg.*$//g,uversionmangle=s/-rc/~rc/g \
  http://download.savannah.gnu.org/releases/qemu/qemu-(.*).tar.gz debian uupdate

## qemu 0.15.1+dfsg

=== Makefile ===
# Makefile for QEMU.

GENERATED_HEADERS = config-host.h trace.h qemu-options.def
ifeq ($(TRACE_BACKEND),dtrace)
GENERATED_HEADERS += trace-dtrace.h
endif

ifneq ($(wildcard config-host.mak),)
# Put the all: rule here so that config-host.mak can contain dependencies.
all: build-all
include config-host.mak
include $(SRC_PATH)/rules.mak
config-host.mak: $(SRC_PATH)/configure
	@echo $@ is out-of-date, running configure
	@sed -n "/.*Configured with/s/[^:]*: //p" $@ | sh
else
config-host.mak:
	@echo "Please call configure before running make!"
	@exit 1
endif

# Don't try to regenerate Makefile or configure
# We don't generate any of them
Makefile: ;
configure: ;

.PHONY: all clean cscope distclean dvi html info install install-doc \
	pdf recurse-all speed tar tarbin test build-all

$(call set-vpath, $(SRC_PATH):$(SRC_PATH)/hw)

LIBS+=-lz $(LIBS_TOOLS)

ifdef BUILD_DOCS
DOCS=qemu-doc.html qemu-tech.html qemu.1 qemu-img.1 qemu-nbd.8 QMP/qmp-commands.txt
else
DOCS=
endif

SUBDIR_MAKEFLAGS=$(if $(V),,--no-print-directory)
SUBDIR_DEVICES_MAK=$(patsubst %, %/config-devices.mak, $(TARGET_DIRS))
SUBDIR_DEVICES_MAK_DEP=$(patsubst %, %/config-devices.mak.d, $(TARGET_DIRS))

config-all-devices.mak: $(SUBDIR_DEVICES_MAK)
	$(call quiet-command,cat $(SUBDIR_DEVICES_MAK) | grep =y | sort -u > $@,"  GEN   $@")

-include $(SUBDIR_DEVICES_MAK_DEP)

%/config-devices.mak: default-configs/%.mak
	$(call quiet-command,$(SHELL) $(SRC_PATH)/scripts/make_device_config.sh $@ $<, "  GEN   $@")
	@if test -f $@; then \
	  if cmp -s $@.old $@; then \
	    mv $@.tmp $@; \
	    cp -p $@ $@.old; \
	  else \
	    if test -f $@.old; then \
	      echo "WARNING: $@ (user modified) out of date.";\
	    else \
	      echo "WARNING: $@ out of date.";\
	    fi; \
	    echo "Run \"make defconfig\" to regenerate."; \
	    rm $@.tmp; \
	  fi; \
	 else \
	  mv $@.tmp $@; \
	  cp -p $@ $@.old; \
	 fi

defconfig:
	rm -f config-all-devices.mak $(SUBDIR_DEVICES_MAK)

-include config-all-devices.mak

build-all: $(DOCS) $(TOOLS) recurse-all

config-host.h: config-host.h-timestamp
config-host.h-timestamp: config-host.mak
qemu-options.def: $(SRC_PATH)/qemu-options.hx
	$(call quiet-command,sh $(SRC_PATH)/scripts/hxtool -h < $< > $@,"  GEN   $@")

SUBDIR_RULES=$(patsubst %,subdir-%, $(TARGET_DIRS))

subdir-%: $(GENERATED_HEADERS)
	$(call quiet-command,$(MAKE) $(SUBDIR_MAKEFLAGS) -C $* V="$(V)" TARGET_DIR="$*/" all,)

ifneq ($(wildcard config-host.mak),)
include $(SRC_PATH)/Makefile.objs
endif

$(common-obj-y): $(GENERATED_HEADERS)
subdir-libcacard: $(oslib-obj-y) $(trace-obj-y) qemu-malloc.o qemu-timer-common.o

$(filter %-softmmu,$(SUBDIR_RULES)): $(trace-obj-y) $(common-obj-y) subdir-libdis

$(filter %-user,$(SUBDIR_RULES)): $(GENERATED_HEADERS) $(trace-obj-y) subdir-libdis-user subdir-libuser

ROMSUBDIR_RULES=$(patsubst %,romsubdir-%, $(ROMS))
romsubdir-%:
	$(call quiet-command,$(MAKE) $(SUBDIR_MAKEFLAGS) -C pc-bios/$* V="$(V)" TARGET_DIR="$*/",)

ALL_SUBDIRS=$(TARGET_DIRS) $(patsubst %,pc-bios/%, $(ROMS))

recurse-all: $(SUBDIR_RULES) $(ROMSUBDIR_RULES)

audio/audio.o audio/fmodaudio.o: QEMU_CFLAGS += $(FMOD_CFLAGS)

QEMU_CFLAGS+=$(CURL_CFLAGS)

QEMU_CFLAGS+=$(GLIB_CFLAGS)

ui/cocoa.o: ui/cocoa.m

ui/sdl.o audio/sdlaudio.o ui/sdl_zoom.o baum.o: QEMU_CFLAGS += $(SDL_CFLAGS)

ui/vnc.o: QEMU_CFLAGS += $(VNC_TLS_CFLAGS)

bt-host.o: QEMU_CFLAGS += $(BLUEZ_CFLAGS)

version.o: $(SRC_PATH)/version.rc config-host.mak
	$(call quiet-command,$(WINDRES) -I. -o $@ $<,"  RC    $(TARGET_DIR)$@")

version-obj-$(CONFIG_WIN32) += version.o
######################################################################
# Support building shared library libcacard

.PHONY: libcacard.la install-libcacard
ifeq ($(LIBTOOL),)
libcacard.la:
	@echo "libtool is missing, please install and rerun configure"; exit 1

install-libcacard:
	@echo "libtool is missing, please install and rerun configure"; exit 1
else
libcacard.la: $(GENERATED_HEADERS) $(oslib-obj-y) qemu-malloc.o qemu-timer-common.o $(addsuffix .lo, $(basename $(trace-obj-y)))
	$(call quiet-command,$(MAKE) $(SUBDIR_MAKEFLAGS) -C libcacard V="$(V)" TARGET_DIR="$*/" libcacard.la,)

install-libcacard: libcacard.la
	$(call quiet-command,$(MAKE) $(SUBDIR_MAKEFLAGS) -C libcacard V="$(V)" TARGET_DIR="$*/" install-libcacard,)
endif
######################################################################

qemu-img.o: qemu-img-cmds.h
qemu-img.o qemu-tool.o qemu-nbd.o qemu-io.o cmd.o qemu-ga.o: $(GENERATED_HEADERS)

qemu-img$(EXESUF): qemu-img.o qemu-tool.o qemu-error.o $(oslib-obj-y) $(trace-obj-y) $(block-obj-y) $(qobject-obj-y) $(version-obj-y) qemu-timer-common.o

qemu-nbd$(EXESUF): qemu-nbd.o qemu-tool.o qemu-error.o $(oslib-obj-y) $(trace-obj-y) $(block-obj-y) $(qobject-obj-y) $(version-obj-y) qemu-timer-common.o

qemu-io$(EXESUF): qemu-io.o cmd.o qemu-tool.o qemu-error.o $(oslib-obj-y) $(trace-obj-y) $(block-obj-y) $(qobject-obj-y) $(version-obj-y) qemu-timer-common.o

qemu-img-cmds.h: $(SRC_PATH)/qemu-img-cmds.hx
	$(call quiet-command,sh $(SRC_PATH)/scripts/hxtool -h < $< > $@,"  GEN   $@")

check-qint.o check-qstring.o check-qdict.o check-qlist.o check-qfloat.o check-qjson.o: $(GENERATED_HEADERS)

CHECK_PROG_DEPS = qemu-malloc.o $(oslib-obj-y) $(trace-obj-y) qemu-tool.o

check-qint: check-qint.o qint.o $(CHECK_PROG_DEPS)
check-qstring: check-qstring.o qstring.o $(CHECK_PROG_DEPS)
check-qdict: check-qdict.o qdict.o qfloat.o qint.o qstring.o qbool.o qlist.o $(CHECK_PROG_DEPS)
check-qlist: check-qlist.o qlist.o qint.o $(CHECK_PROG_DEPS)
check-qfloat: check-qfloat.o qfloat.o $(CHECK_PROG_DEPS)
check-qjson: check-qjson.o qfloat.o qint.o qdict.o qstring.o qlist.o qbool.o qjson.o json-streamer.o json-lexer.o json-parser.o error.o qerror.o qemu-error.o $(CHECK_PROG_DEPS)

$(qapi-obj-y): $(GENERATED_HEADERS)
qapi-dir := qapi-generated
test-visitor.o test-qmp-commands.o qemu-ga$(EXESUF): QEMU_CFLAGS += -I $(qapi-dir)

$(qapi-dir)/test-qapi-types.c: $(qapi-dir)/test-qapi-types.h
$(qapi-dir)/test-qapi-types.h: $(SRC_PATH)/qapi-schema-test.json $(SRC_PATH)/scripts/qapi-types.py
	$(call quiet-command,$(PYTHON) $(SRC_PATH)/scripts/qapi-types.py -o "$(qapi-dir)" -p "test-" < $<, "  GEN   $@")
$(qapi-dir)/test-qapi-visit.c: $(qapi-dir)/test-qapi-visit.h
$(qapi-dir)/test-qapi-visit.h: $(SRC_PATH)/qapi-schema-test.json $(SRC_PATH)/scripts/qapi-visit.py
	$(call quiet-command,$(PYTHON) $(SRC_PATH)/scripts/qapi-visit.py -o "$(qapi-dir)" -p "test-" < $<, "  GEN   $@")
$(qapi-dir)/test-qmp-commands.h: $(qapi-dir)/test-qmp-marshal.c
$(qapi-dir)/test-qmp-marshal.c: $(SRC_PATH)/qapi-schema-test.json $(SRC_PATH)/scripts/qapi-commands.py
	    $(call quiet-command,$(PYTHON) $(SRC_PATH)/scripts/qapi-commands.py -o "$(qapi-dir)" -p "test-" < $<, "  GEN   $@")

$(qapi-dir)/qga-qapi-types.c: $(qapi-dir)/qga-qapi-types.h
$(qapi-dir)/qga-qapi-types.h: $(SRC_PATH)/qapi-schema-guest.json $(SRC_PATH)/scripts/qapi-types.py
	$(call quiet-command,$(PYTHON) $(SRC_PATH)/scripts/qapi-types.py -o "$(qapi-dir)" -p "qga-" < $<, "  GEN   $@")
$(qapi-dir)/qga-qapi-visit.c: $(qapi-dir)/qga-qapi-visit.h
$(qapi-dir)/qga-qapi-visit.h: $(SRC_PATH)/qapi-schema-guest.json $(SRC_PATH)/scripts/qapi-visit.py
	$(call quiet-command,$(PYTHON) $(SRC_PATH)/scripts/qapi-visit.py -o "$(qapi-dir)" -p "qga-" < $<, "  GEN   $@")
$(qapi-dir)/qga-qmp-marshal.c: $(SRC_PATH)/qapi-schema-guest.json $(SRC_PATH)/scripts/qapi-commands.py
	$(call quiet-command,$(PYTHON) $(SRC_PATH)/scripts/qapi-commands.py -o "$(qapi-dir)" -p "qga-" < $<, "  GEN   $@")

test-visitor.o: $(addprefix $(qapi-dir)/, test-qapi-types.c test-qapi-types.h test-qapi-visit.c test-qapi-visit.h) $(qapi-obj-y)
test-visitor: test-visitor.o qfloat.o qint.o qdict.o qstring.o qlist.o qbool.o $(qapi-obj-y) error.o osdep.o qemu-malloc.o $(oslib-obj-y) qjson.o json-streamer.o json-lexer.o json-parser.o qerror.o qemu-error.o qemu-tool.o $(qapi-dir)/test-qapi-visit.o $(qapi-dir)/test-qapi-types.o

test-qmp-commands.o: $(addprefix $(qapi-dir)/, test-qapi-types.c test-qapi-types.h test-qapi-visit.c test-qapi-visit.h test-qmp-marshal.c test-qmp-commands.h) $(qapi-obj-y)
test-qmp-commands: test-qmp-commands.o qfloat.o qint.o qdict.o qstring.o qlist.o qbool.o $(qapi-obj-y) error.o osdep.o qemu-malloc.o $(oslib-obj-y) qjson.o json-streamer.o json-lexer.o json-parser.o qerror.o qemu-error.o qemu-tool.o $(qapi-dir)/test-qapi-visit.o $(qapi-dir)/test-qapi-types.o $(qapi-dir)/test-qmp-marshal.o module.o

QGALIB=qga/guest-agent-command-state.o qga/guest-agent-commands.o
QGALIB_GEN=$(addprefix $(qapi-dir)/, qga-qapi-types.c qga-qapi-types.h qga-qapi-visit.c qga-qmp-marshal.c)

$(QGALIB_GEN): $(GENERATED_HEADERS)
$(QGALIB) qemu-ga.o: $(QGALIB_GEN) $(qapi-obj-y)
qemu-ga$(EXESUF): qemu-ga.o $(QGALIB) qemu-tool.o qemu-error.o error.o $(oslib-obj-y) $(trace-obj-y) $(block-obj-y) $(qobject-obj-y) $(version-obj-y) $(qapi-obj-y) qemu-timer-common.o qemu-sockets.o module.o qapi/qmp-dispatch.o qapi/qmp-registry.o $(qapi-dir)/qga-qapi-visit.o $(qapi-dir)/qga-qapi-types.o $(qapi-dir)/qga-qmp-marshal.o

QEMULIBS=libhw32 libhw64 libuser libdis libdis-user

clean:
# avoid old build problems by removing potentially incorrect old files
	rm -f config.mak op-i386.h opc-i386.h gen-op-i386.h op-arm.h opc-arm.h gen-op-arm.h
	rm -f qemu-options.def
	rm -f *.o *.d *.a *.lo $(TOOLS) qemu-ga TAGS cscope.* *.pod *~ */*~
	rm -Rf .libs
	rm -f slirp/*.o slirp/*.d audio/*.o audio/*.d block/*.o block/*.d net/*.o net/*.d fsdev/*.o fsdev/*.d ui/*.o ui/*.d qapi/*.o qapi/*.d qga/*.o qga/*.d
	rm -f qemu-img-cmds.h
	rm -f trace.c trace.h trace.c-timestamp trace.h-timestamp
	rm -f trace-dtrace.dtrace trace-dtrace.dtrace-timestamp
	rm -f trace-dtrace.h trace-dtrace.h-timestamp
	rm -rf $(qapi-dir)
	$(MAKE) -C tests clean
	for d in $(ALL_SUBDIRS) $(QEMULIBS) libcacard; do \
	if test -d $$d; then $(MAKE) -C $$d $@ || exit 1; fi; \
	rm -f $$d/qemu-options.def; \
        done

distclean: clean
	rm -f config-host.mak config-host.h* config-host.ld $(DOCS) qemu-options.texi qemu-img-cmds.texi qemu-monitor.texi
	rm -f config-all-devices.mak
	rm -f roms/seabios/config.mak roms/vgabios/config.mak
	rm -f qemu-doc.info qemu-doc.aux qemu-doc.cp qemu-doc.cps qemu-doc.dvi
	rm -f qemu-doc.fn qemu-doc.fns qemu-doc.info qemu-doc.ky qemu-doc.kys
	rm -f qemu-doc.log qemu-doc.pdf qemu-doc.pg qemu-doc.toc qemu-doc.tp
	rm -f qemu-doc.vr
	rm -f qemu-tech.info qemu-tech.aux qemu-tech.cp qemu-tech.dvi qemu-tech.fn qemu-tech.info qemu-tech.ky qemu-tech.log qemu-tech.pdf qemu-tech.pg qemu-tech.toc qemu-tech.tp qemu-tech.vr
	for d in $(TARGET_DIRS) $(QEMULIBS); do \
	rm -rf $$d || exit 1 ; \
        done

KEYMAPS=da     en-gb  et  fr     fr-ch  is  lt  modifiers  no  pt-br  sv \
ar      de     en-us  fi  fr-be  hr     it  lv  nl         pl  ru     th \
common  de-ch  es     fo  fr-ca  hu     ja  mk  nl-be      pt  sl     tr

ifdef INSTALL_BLOBS
BLOBS=bios.bin vgabios.bin vgabios-cirrus.bin \
vgabios-stdvga.bin vgabios-vmware.bin vgabios-qxl.bin \
ppc_rom.bin openbios-sparc32 openbios-sparc64 openbios-ppc \
pxe-e1000.rom pxe-eepro100.rom pxe-ne2k_pci.rom \
pxe-pcnet.rom pxe-rtl8139.rom pxe-virtio.rom \
bamboo.dtb petalogix-s3adsp1800.dtb petalogix-ml605.dtb \
mpc8544ds.dtb \
multiboot.bin linuxboot.bin \
s390-zipl.rom \
spapr-rtas.bin slof.bin
else
BLOBS=
endif

install-doc: $(DOCS)
	$(INSTALL_DIR) "$(DESTDIR)$(docdir)"
	$(INSTALL_DATA) qemu-doc.html  qemu-tech.html "$(DESTDIR)$(docdir)"
ifdef CONFIG_POSIX
	$(INSTALL_DIR) "$(DESTDIR)$(mandir)/man1"
	$(INSTALL_DATA) qemu.1 qemu-img.1 "$(DESTDIR)$(mandir)/man1"
	$(INSTALL_DIR) "$(DESTDIR)$(mandir)/man8"
	$(INSTALL_DATA) qemu-nbd.8 "$(DESTDIR)$(mandir)/man8"
endif

install-sysconfig:
	$(INSTALL_DIR) "$(DESTDIR)$(sysconfdir)/qemu"
	$(INSTALL_DATA) $(SRC_PATH)/sysconfigs/target/target-x86_64.conf "$(DESTDIR)$(sysconfdir)/qemu"

install: all $(if $(BUILD_DOCS),install-doc) install-sysconfig
	$(INSTALL_DIR) "$(DESTDIR)$(bindir)"
ifneq ($(TOOLS),)
	$(INSTALL_PROG) $(STRIP_OPT) $(TOOLS) "$(DESTDIR)$(bindir)"
endif
ifneq ($(BLOBS),)

=== debian/changelog ===
qemu (0.15.1+dfsg-3) unstable; urgency=low

  * Add patch from upstream to fix FTBFS on ia64. 

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 09 Dec 2011 23:48:21 -0800

qemu (0.15.1+dfsg-2) unstable; urgency=low

  * Add patch that fixes a buffer overrun (CVE-2011-4111). 
  * Enable spice support on amd64:
    - Add Build-Depends: libspice-server-dev, libspice-protocol-dev
  * debian/rules: Use dh_prep instead of "dh_clean -k", which is deprecated. 

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 28 Nov 2011 20:34:50 -0800

qemu (0.15.1+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 06 Nov 2011 10:37:31 -0800

qemu (0.15.0+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Install new qemu-system, qemu-user and qemu-user-static variants: 
    lm32, microblazeel, s390x, unicore32
  * Patch from upstream to set QEMU_INCLUDES before QEMU_CFLAGS.
  * Update debian/watch to check http://qemu.org/download.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 03 Oct 2011 12:29:18 -0700

qemu (0.15.0~rc2+dfsg-1) experimental; urgency=low

  * New upstream version.
  * qemu-debootstrap: Return the exit status of debootstrap instead of 
    hard-coding a sucessful exit status.
  * Build-depend on librbd-dev.
  * Remove qemu-mipsel-debian-rootfs.patch, a variation was applied upstream.
  * Remove pcnet-ipxe patch, applied upstream.
  * Add Build-Depends on python. 
  * Rename pxe rom symlinks to match upstream rename. 

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 07 Aug 2011 13:27:43 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,12 @@
  texi2html, sharutils, libbrlapi-dev,
  libpulse-dev, libcurl4-gnutls-dev, libgnutls-dev, libsasl2-dev, uuid-dev,
  libvdeplug2-dev [linux-any], libasound2-dev [linux-any],
- libbluetooth-dev [linux-any], libattr1-dev, librados-dev [amd64 i386],
+ libbluetooth-dev [linux-any], libattr1-dev, 
+ librados-dev [amd64 i386], librbd-dev [amd64 i386],
  libgpmg1-dev [linux-any], linux-libc-dev (>= 2.6.34) [linux-any],
- libaio-dev [linux-any], xfslibs-dev [linux-any], texinfo
+ libaio-dev [linux-any], xfslibs-dev [linux-any], texinfo,
+ python,
+ libspice-server-dev [amd64], libspice-protocol-dev [amd64]
 Build-Conflicts: oss4-dev
 Standards-Version: 3.9.2
 Homepage: http://www.qemu.org/

=== debian/rules ===
--- 
+++ 
@@ -148,7 +148,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs -a
 	
 	# system build
